# Uses of Interface
org.apache.felix.service.command.Converter

Packages that use Converter
Package
Description
org.apache.felix.gogo.runtime
org.apache.felix.service.command

## Uses of Converter in org.apache.felix.gogo.runtime

Classes in org.apache.felix.gogo.runtime that implement Converter
Modifier and Type
Class
Description
`class`
`CommandSessionImpl`
Fields in org.apache.felix.gogo.runtime with type parameters of type Converter
Modifier and Type
Field
Description
`protected final Set<Converter>`
CommandProcessorImpl.`converters`
Methods in org.apache.felix.gogo.runtime with parameters of type Converter
Modifier and Type
Method
Description
`void`
CommandProcessorImpl.`addConverter(Converter c)`
`CharSequence`
CommandSessionImpl.`format(Object target, int level, Converter escape)`
`void`
CommandProcessorImpl.`removeConverter(Converter c)`

## Uses of Converter in org.apache.felix.service.command

Methods in org.apache.felix.service.command with parameters of type Converter
Modifier and Type
Method
Description
`CharSequence`
Converter.`format(Object target, int level, Converter escape)`
Convert an objet to a CharSequence object in the requested format.